USN-3521-1: NVIDIA graphics drivers vulnerability

09 January 2018

The system could be made to expose sensitive information.

Releases

Packages

  • nvidia-graphics-drivers-384 - NVIDIA binary X.Org driver

Details

Jann Horn discovered that microprocessors utilizing speculative execution
and branch prediction may allow unauthorized memory reads via sidechannel
attacks. This flaw is known as Spectre. A local attacker could use this to
expose sensitive information, including kernel memory.

This update provides mitigations to address the issue, along with
compatibility fixes for the corresponding Linux kernel updates.

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 17.10
Ubuntu 17.04
Ubuntu 16.04
Ubuntu 14.04

After a standard system update you need to reboot your computer to make
all the necessary changes.

References

Related notices

  • USN-3597-2: linux-image-4.13.0-37-generic, linux-image-lowlatency-hwe-16.04, linux-image-generic-hwe-16.04, linux-hwe, linux-image-4.13.0-37-generic-lpae, linux-image-4.13.0-37-lowlatency, linux-image-generic-lpae-hwe-16.04
  • USN-3541-1: linux-image-4.13.0-31-lowlatency, linux-image-lowlatency, linux-image-generic, linux-image-4.13.0-31-generic, linux
  • USN-3541-2: linux-image-4.13.0-1017-oem, linux-image-lowlatency-hwe-16.04, linux-image-4.13.0-31-lowlatency, linux-image-generic-hwe-16.04, linux-hwe, linux-image-4.13.0-1006-azure, linux-image-oem, linux-image-4.13.0-1007-gcp, linux-image-4.13.0-31-generic, linux-image-gke, linux-oem, linux-gcp, linux-azure, linux-image-azure, linux-image-gcp
  • USN-3597-1: linux-image-4.13.0-37-generic, linux-image-lowlatency, linux-image-generic, linux-raspi2, linux-image-generic-lpae, linux-image-4.13.0-37-generic-lpae, linux-image-4.13.0-37-lowlatency, linux, linux-image-4.13.0-1015-raspi2, linux-image-raspi2
  • USN-3516-1: firefox
  • USN-3549-1: linux-kvm, linux-image-kvm, linux-image-4.4.0-1017-kvm
  • USN-3540-1: linux-euclid, linux-image-4.4.0-112-generic, linux-image-4.4.0-112-powerpc-smp, linux-image-euclid, linux-image-4.4.0-112-lowlatency, linux-image-generic-lpae, linux, linux-image-powerpc64-smp, linux-image-4.4.0-112-powerpc64-smp, linux-image-4.4.0-112-powerpc-e500mc, linux-aws, linux-image-4.4.0-1049-aws, linux-image-powerpc64-emb, linux-image-lowlatency, linux-image-4.4.0-112-generic-lpae, linux-image-4.4.0-9023-euclid, linux-image-generic, linux-image-aws, linux-image-powerpc-e500mc, linux-image-powerpc-smp, linux-image-4.4.0-112-powerpc64-emb
  • USN-3530-1: webkit2gtk, libwebkit2gtk-4.0-37, libjavascriptcoregtk-4.0-18
  • USN-3542-2: linux-image-generic-lts-trusty, linux-lts-trusty, linux-image-3.13.0-140-generic
  • USN-3542-1: linux-image-lowlatency, linux-image-generic, linux-image-3.13.0-141-generic, linux, linux-image-3.13.0-141-lowlatency
  • USN-3540-2: linux-image-4.4.0-111-generic, linux-image-powerpc64-emb-lts-xenial, linux-image-powerpc64-smp-lts-xenial, linux-image-powerpc-e500mc-lts-xenial, linux-image-lowlatency-lts-xenial, linux-image-4.4.0-111-powerpc-e500mc, linux-image-aws, linux-image-4.4.0-111-powerpc64-emb, linux-image-generic-lts-xenial, linux-image-4.4.0-111-powerpc-smp, linux-aws, linux-lts-xenial, linux-image-4.4.0-1011-aws, linux-image-4.4.0-111-lowlatency, linux-image-powerpc-smp-lts-xenial, linux-image-4.4.0-111-powerpc64-smp
  • USN-3580-1: linux-image-generic, linux-image-3.2.0-133-generic-pae, linux, linux-image-generic-pae, linux-image-3.2.0-133-generic